import java.io.File;

public class Class97 {

   public Class478 aClass478_981 = new Class478();
   public static final int anInt982 = 8191;
   static long aLong983;
   static File aFile984;


   static int[] method1898(Class225_Sub14_Sub3 var0, int var1) {
      int[] var2 = null;
      if(Class554.method11832(1158601069 * var0.anInt10024, -1026248630)) {
         var2 = Class277.aClass410_3220.method7007((int)(3504745442816099919L * var0.aLong10017), -1957162130).anIntArray4967;
      } else if(var0.anInt10016 * -309506413 != -1) {
         var2 = Class277.aClass410_3220.method7007(-309506413 * var0.anInt10016, -1957162130).anIntArray4967;
      } else if(Class225_Sub36.method14063(1158601069 * var0.anInt10024, 492806673)) {
         ObjectVar var3 = (ObjectVar)client.aClass423_7693.method7211((long)((int)(3504745442816099919L * var0.aLong10017)));
         if(null != var3) {
            Class515_Sub1_Sub4_Sub4_Sub2 var4 = (Class515_Sub1_Sub4_Sub4_Sub2)var3.object;
            Class411 var5 = var4.aClass411_10896;
            if(var5.anIntArray5061 != null) {
               var5 = var5.method7045(Class118_Sub1.aClass175_8204, Class118_Sub1.aClass175_8204, -1873125472);
            }

            if(null != var5) {
               var2 = var5.anIntArray5077;
            }
         }
      } else if(Class11.method715(1158601069 * var0.anInt10024, (byte)-115)) {
         Class445 var6 = client.aClass279_7807.method5044(-55173520).method7506((int)(var0.aLong10017 * 3504745442816099919L >>> 32 & 2147483647L), 1508269023);
         if(var6.anIntArray5546 != null) {
            var6 = var6.method7440(Class118_Sub1.aClass175_8204, Class118_Sub1.aClass175_8204, 1517673599);
         }

         if(null != var6) {
            var2 = var6.anIntArray5564;
         }
      }

      return var2;
   }

   static final void method1899(Class124 var0, int var1, int var2, Class508 var3, byte var4) {
      if(var0.anIntArray1450 == null) {
         if(var2 <= 0) {
            return;
         }

         var0.aByteArrayArray1422 = new byte[11][];
         var0.aByteArrayArray1483 = new byte[11][];
         var0.anIntArray1424 = new int[11];
         var0.anIntArray1450 = new int[11];
      }

      var0.anIntArray1450[var1] = var2;
      if(var2 > 0) {
         var0.aBool1446 = true;
      } else {
         var0.aBool1446 = false;

         for(int var5 = 0; var5 < var0.aByteArrayArray1422.length; ++var5) {
            if(var0.aByteArrayArray1422[var5] != null || var0.anIntArray1450[var5] > 0) {
               var0.aBool1446 = true;
               break;
            }
         }
      }

   }

   static final void method1900(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = method1903(var2, 1278747421);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class562.method11949(var3, var4, var0, 1452743524);
   }

   static final void method1901(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt1396 * 139880741;
   }

   public static final void method1902(String var0, String var1, int var2) {
      PacketContext var3 = Class35_Sub1.method13169(883808512);
      Class225_Sub15 var4 = Class543.method11415(OutgoingOpcode.aClass302_3755, var3.aClass433_2184, (byte)1);
      if(var1.length() > 30) {
         var1 = var1.substring(0, 30);
      }

      var4.buffer.writeByte(Class190.method3320(var0, -1817281474) + Class190.method3320(var1, -1318965156), -765864773);
      var4.buffer.writeString(var1, (byte)109);
      var4.buffer.writeString(var0, (byte)35);
      var3.method3191(var4, (byte)48);
   }

   public static Class124 method1903(int var0, int var1) {
      int var2 = var0 >> 16;
      if(null == Class18.aClass121Array188[var2] || Class18.aClass121Array188[var2].method2338(var0, 1230453431) == null) {
         boolean var3 = Class485.method8143(var2, (int[])null, -2010753776);
         if(!var3) {
            return null;
         }
      }

      return Class18.aClass121Array188[var2].method2338(var0, 504863556);
   }
}
